import json
import jsonschema
from compendium_v2.routes.budget import BUDGET_RESPONSE_SCHEMA


def test_budget_response(client, test_budget_data):
    rv = client.get(
        '/api/budget/',
        headers={'Accept': ['application/json']})
    assert rv.status_code == 200
    result = json.loads(rv.data.decode('utf-8'))
    jsonschema.validate(result, BUDGET_RESPONSE_SCHEMA)
    assert result
