import json
import jsonschema
from compendium_v2.routes.policy import POLICY_RESPONSE_SCHEMA


def test_ec_project_response(client, test_policy_data):
    rv = client.get(
        '/api/policy/',
        headers={'Accept': ['application/json']})
    assert rv.status_code == 200
    result = json.loads(rv.data.decode('utf-8'))
    jsonschema.validate(result, POLICY_RESPONSE_SCHEMA)
    assert result
