from compendium_v2.email import send_mail


def test_email(app, mocked_admin_user, mocker):

    def _send_mail(*args, **kwargs):
        pass

    mocker.patch('compendium_v2.email._send_mail', _send_mail)
    with app.app_context():
        app.config['MAIL_ENABLE'] = True
        app.config['MAIL_SERVER'] = 'localhost'
        app.config['MAIL_PORT'] = 54655
        app.config['MAIL_SENDER_EMAIL'] = 'fakesender123@test.local'
        app.config['MAIL_EXCLUDED_ADMINS'] = []
        send_mail('testmail321')
